Uploaded image for project: 'GPII - Global Public Inclusive Infrastructure'
  1. GPII - Global Public Inclusive Infrastructure
  2. GPII-94

The GPII real-time framework fails to start in Node.js 0.10.x on Windows

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: v0.1
    • Fix Version/s: C4A Year 3
    • Component/s: GPII Framework
    • Labels:
      None
    • Environment:
      Node.js 0.10.x on Windows

      Description

      Currently, the GPII real-time framework fails to start up in Node.js 0.10.x. This has been confirmed at least on the Windows platform.

      Boyan speculates that this may be due to incompatibilities between a key third-party library (node-ffi) and this new version of Node.js.

      In the meantime, the workaround for users is to install Node 0.8.x, which has been thoroughly tested and verified.

      Here's a report from one of our users:

      I just tried to install a fresh copy of gpii following the instructions at
      "http://wiki.gpii.net/index.php/Core_(real-time)Framework_v0.1-_Installati
      on_Instructions" page. Unfortunately, it seems that the installation was not
      successful. I receive the following message:

      "C:\gpii_v0.1\windows>start node.exe gpii.js

      C:\gpii_v0.1\windows>start UsbUserListener\bin\UsbUserListener.exe

      C:\gpii_v0.1\windows>node gpii.js

      C:\gpii_v0.1\windows\node_modules\ref\node_modules\bindings\bindings.js:79
      throw e
      ^
      Error: Module version mismatch. Expected 11, got 1.
      at Module.load (module.js:356:32)
      at Function.Module._load (module.js:312:12)
      at Module.require (module.js:364:17)
      at require (module.js:380:17)
      at bindings
      (C:\gpii_v0.1\windows\node_modules\ref\node_modules\bindings\bin
      dings.js:74:15)
      at Object.<anonymous>
      (C:\gpii_v0.1\windows\node_modules\ref\lib\ref.js:5:47
      )
      at Module._compile (module.js:456:26)
      at Object.Module._extensions..js (module.js:474:10)
      at Module.load (module.js:356:32)
      at Function.Module._load (module.js:312:12)"

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              amb26 Antranig Basman
              Reporter:
              colin Colin Clark
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 10 minutes
                  10m
                  Remaining:
                  Remaining Estimate - 2 minutes
                  2m
                  Logged:
                  Time Spent - Not Specified Time Not Required
                  Not Specified